> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a building viewing booking link

> Returns the public viewing booking URL for the building, minting a stable token the first time it is requested.



## OpenAPI

````yaml openapi-core.json POST /v1/buildings/{id}/booking_link
openapi: 3.1.0
info:
  title: Yorlet Core API
  description: Core platform APIs including buildings, customers, units, and tasks.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/buildings/{id}/booking_link:
    post:
      tags:
        - Buildings
      summary: Create a building viewing booking link
      description: >-
        Returns the public viewing booking URL for the building, minting a
        stable token the first time it is requested.
      operationId: buildings_booking_link
      parameters:
        - schema:
            type: string
            description: The id identifier.
          required: true
          description: The id identifier.
          name: id
          in: path
      responses:
        '200':
          description: Returns the viewing booking link for the building.
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    enum:
                      - building.viewing_booking_link
                  building:
                    type: string
                    description: The ID of the building the booking link belongs to.
                  url:
                    type: string
                    format: uri
                    description: The URL of the hosted booking page.
                required:
                  - object
                  - building
                  - url
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````